# $Revision: 1.26 $, $Date: 2008/07/27 22:32:36 $
#
# Conditional build:
%bcond_without	tests	# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	DBIx
%define		pnam	Recordset
Summary:	DBIx::Recordset - abstraction and simplification of database access
Summary(pl.UTF-8):	DBIx::Recordset - abstrakcja i uproszczenie dostępu do bazy danych
Name:		perl-DBIx-Recordset
Version:	0.26
Release:	2
License:	GPL or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	fe008ad93b76ac0dea487f0c014842ee
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-DBI
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
DBIx::Recordset is a perl module for abstraction and simplification of
database access.

The goal is to make standard database access
(select/insert/update/delete) easier to handle and independend of the
underlying DBMS.  Special attention is made on web applications to
make it possible to handle the state-less access and to process the
posted data of formfields, but DBIx::Recordset is not limited to web
applications.

%description -l pl.UTF-8
DBIx::Recordset jest modułem Perla, umożliwiającym łatwy dostęp do baz
danych na wyższym, niż oferowany przez moduł DBI poziomie abstrakcji.

Celem jest uproszczenie typowych (odczyt/zapis/nadpisanie/usunięcie)
operacji na bazie danych, oraz uniezależnienie ich od stosowanego
DBMS. Szczególną uwagę poświęcono umożliwieniu aplikacjom internetowym
obsługi bezstanowego dostępu i przetwarzania danych z formularzy, ale
DBIx::Recordset nie jest ograniczony do WWW.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} -MExtUtils::MakeMaker -e 'WriteMakefile(NAME=>"%{pdir}::%{pnam}")' \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

mv -f eg/README README.eg

install -d $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}
install eg/* $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README TODO README.eg
%{perl_vendorlib}/DBIx/*.pm
%dir %{perl_vendorlib}/DBIx/Recordset
%{perl_vendorlib}/DBIx/Recordset/*.pm
%{_mandir}/man3/*
%{_examplesdir}/%{name}-%{version}

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-DBIx-Recordset.spec,v $
Revision 1.26  2008/07/27 22:32:36  arekm
- release 2

Revision 1.25  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.24  2007/02/12 00:49:28  baggins
- converted to UTF-8

Revision 1.23  2004/12/01 15:30:56  radek
- updated md5

Revision 1.22  2004/12/01 12:49:35  radek
- version 0.26

Revision 1.21  2004/11/03 22:30:16  paladine
- formatting

Revision 1.20  2004/10/24 14:21:01  paladine
- perla->Perla

Revision 1.19  2004/05/13 17:17:35  ankry
- spaces -> tabs, other cosmetics

Revision 1.18  2004/05/07 01:09:19  ankry
- rel. 3

Revision 1.17  2004/05/06 17:56:59  ankry
- fixed perl-devel BR

Revision 1.16  2004/04/25 06:25:06  ankry
- cosmetics: unification

Revision 1.15  2004/04/22 20:42:10  ankry
- bconds added

Revision 1.14  2004/04/20 06:02:16  ankry
- better summary, formatting

Revision 1.13  2003/09/09 10:24:32  ankry
- spaces -> tab

Revision 1.12  2003/08/27 00:16:33  gotar
- fixed changelog trailer

Revision 1.11  2003/08/18 08:08:39  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.10  2003/05/28 13:00:32  malekith
- massive attack: source-md5

Revision 1.9  2003/05/25 06:24:34  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.8  2003/04/11 18:59:22  radek
- BR: perl-devel; do not BR: perl

Revision 1.7  2003/03/01 18:05:01  radek
- should be ready for perl-5.8.0; release++

Revision 1.6  2003/02/28 10:08:19  trojan
- massive attack: perl -pi -e "s/^#+\%\{/#\%\%\{/"

Revision 1.5  2003/02/25 00:38:31  radek
- use the __perl macro

Revision 1.4  2003/02/18 15:30:55  ankry
- massive attack: change CPAN URLs

Revision 1.3  2002/07/12 09:55:01  qboosh
- new %%doc

Revision 1.2  2002/07/11 08:24:56  depesz
- one file was missing from %files

Revision 1.1  2002/07/11 08:22:55  depesz
- spec supplied by Radoslaw Zielinski
